Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364355 - [userinterface_public_715]Couldn't load imagestreamtag info successfully for created ImageStream
Summary: [userinterface_public_715]Couldn't load imagestreamtag info successfully for ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 07:47 UTC by Yadan Pei
Modified: 2016-09-19 12:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 12:55:06 UTC


Attachments (Terms of Use)
FailedToGetImageStreamTagInfo (deleted)
2016-08-05 07:47 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Yadan Pei 2016-08-05 07:47:29 UTC
Description of problem:
For created ImageStream, when click tag name, it will give error message "The image details could not be loaded"

Version-Release number of selected component (if applicable):
v3.3.0.14

How reproducible:
Always

Steps to Reproduce:
1. Create a project
2. Add ImageStreams to project
# oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/image-streams/image-streams-rhel7.json
3. Create app from image "python:5.6", set app Name as "php56", when build is completed, a new imagestream php56:latest will be generated
4. Go to Builds -> Images page
5. Select created imagestream "python" and click on its tags
6. Select generated imagestream "php56" and click on its "latest" tag

Actual results:
5. Clicking on tag will direct to browse/images/<is>/<tag> page, but could not load imagestreamtag info successfully(attachment)
6. php56:latest details could be loaded successfully

Expected results:
5. ImageStreamTag info should be loaded correctly too


Additional info:

Comment 1 Yadan Pei 2016-08-05 07:47:57 UTC
Created attachment 1187791 [details]
FailedToGetImageStreamTagInfo

Comment 2 Jessica Forrester 2016-08-05 19:40:44 UTC
possible fix in https://github.com/openshift/origin-web-console/pull/305 but need feedback from stef

Comment 3 Yadan Pei 2016-08-12 10:31:57 UTC
Checked against 3.3.0.18

Clicking on created ImageStream tags could load page and info successfully


Note You need to log in before you can comment on or make changes to this bug.